gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XConfigureEvent

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XConfigureEvent = XConfigureEvent (ManagedPtr XConfigureEvent)
- noXConfigureEvent :: Maybe XConfigureEvent

# Exported types

newtype XConfigureEvent Source #

Memory-managed wrapper type.

Constructors

XConfigureEvent (ManagedPtr XConfigureEvent) |

Instances

WrappedPtr XConfigureEvent Source # |
Instance details Defined in GI.Xlib.Structs.XConfigureEvent Methods wrappedPtrCalloc :: IO (Ptr XConfigureEvent) Source # wrappedPtrCopy :: XConfigureEvent -> IO XConfigureEvent Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XConfigureEvent -> IO ())) Source #

noXConfigureEvent :: Maybe XConfigureEvent Source #

A convenience alias for `Nothing` :: `Maybe` `XConfigureEvent`.